<%@ page contentType="text/html;charset=utf-8"%>
<%@ page import="java.sql.*"%>
<%@ page import="cn.js.fan.util.*"%>
<%@ page import="cn.js.fan.db.*"%>
<%@ page import="cn.js.fan.web.*"%>
<%@ page import="com.redmoon.chat.*"%>
<%@ include file="../../inc/nocache.jsp"%>
<jsp:useBean id="fchar" scope="page" class="cn.js.fan.util.StrUtil"/>
<jsp:useBean id="privilege" scope="page" class="com.redmoon.chat.Privilege"/>
<%
if (!privilege.isUserPrivValid(request, "chat"))
{
	out.println(cn.js.fan.web.SkinUtil.makeErrMsg(request, cn.js.fan.web.SkinUtil.LoadString(request, "pvg_invalid")));
	return;
}

boolean re = false;
try {
	RoomEmceeDb red = new RoomEmceeDb();
	re = red.setEmcees(request);
}
catch (ErrMsgException e) {
	out.print(StrUtil.Alert_Back(e.getMessage()));
}
if (re) {
	out.print(StrUtil.Alert_Back(SkinUtil.LoadString(request, "info_operate_success")));
}
else
	out.print(StrUtil.Alert_Back(SkinUtil.LoadString(request, "info_operate_fail")));
%>